{ pkgs, ... }:

let
  network = import ../../network.nix;
in {
  nix = {
    distributedBuilds = true;
    buildMachines = [{
      hostName = "miku";
      systems = [ "x86_64-linux" "i686-linux" ];
      maxJobs = 4;
      speedFactor = 2;
      supportedFeatures = [ "nixos-test" "benchmark" "big-parallel" "kvm" ];
    }];
  };

  programs.ssh.extraConfig = ''
Host miku
  HostName ${network.miku}
  User builder
  IdentitiesOnly yes
  IdentityFile /root/.ssh/id_builder
  '';
}
